tbb::internal::critical_section_v4::scoped_lock Class Reference

`#include <critical_section.h>`

Inheritance diagram for tbb::internal::critical_section_v4::scoped_lock:
Collaboration diagram for tbb::internal::critical_section_v4::scoped_lock:

## Public Member Functions

| scoped_lock (critical_section_v4 &lock_me)
| ~scoped_lock ()

## Private Attributes

critical_section_v4 & | my_crit

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 79 of file critical_section.h.

## Constructor & Destructor Documentation

## scoped_lock()

tbb::internal::critical_section_v4::scoped_lock::scoped_lock | ( | critical_section_v4 & | lock_me | ) |

inline

Definition at line 83 of file critical_section.h.

:my_crit(lock_me) {
my_crit.lock();
}

References tbb::internal::critical_section_v4::lock(), and my_crit.

Here is the call graph for this function:

## ~scoped_lock()

tbb::internal::critical_section_v4::scoped_lock::~scoped_lock | ( |  | ) |

inline

Definition at line 87 of file critical_section.h.

{
my_crit.unlock();
}

References my_crit, and tbb::internal::critical_section_v4::unlock().

Here is the call graph for this function:

## Member Data Documentation

## my_crit

critical_section_v4& tbb::internal::critical_section_v4::scoped_lock::my_crit

private

Definition at line 81 of file critical_section.h.

Referenced by scoped_lock(), and ~scoped_lock().

The documentation for this class was generated from the following file:

- critical_section.h

tbb::internal::critical_section_v4::lock
void lock()
Definition: critical_section.h:92
tbb::internal::critical_section_v4::unlock
void unlock()
Definition: critical_section.h:123
tbb::internal::critical_section_v4::scoped_lock::my_crit
critical_section_v4 & my_crit
Definition: critical_section.h:81

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.